---
title: BluetoothDevice.gatt
slug: Web/API/BluetoothDevice/gatt
tags:
  - API
  - BluetoothDevice
  - Experimental
  - GATT server
  - Property
  - Reference
---
<div>{{APIRef("Bluetooth API") }}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>BluetoothDevice.gatt</code></strong> read-only property returns a reference to the device's {{DOMxRef("BluetoothRemoteGATTServer")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var gattServer = <em>instanceOfBluetoothDevice</em>.gatt</pre>

<h3 id="Returns">Returns</h3>

<p>A reference to the device's {{DOMxRef("BluetoothRemoteGATTServer")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Bluetooth', '#dom-bluetoothdevice-gatt', 'gattServer')}}</td>
   <td>{{Spec2('Web Bluetooth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.gatt")}}</p>
</div>
